# Uses of Interface
org.apache.lucene.queryparser.flexible.messages.Message

Packages that use Message
Package
Description
org.apache.lucene.queryparser.flexible.core
Core classes of the flexible query parser framework.
org.apache.lucene.queryparser.flexible.messages
For Native Language Support (NLS), system of software internationalization.
org.apache.lucene.queryparser.flexible.standard.parser
Lucene Query Parser

- ## Uses of Message in org.apache.lucene.queryparser.flexible.core

  Fields in org.apache.lucene.queryparser.flexible.core declared as Message
  Modifier and Type
  Field
  Description
  `protected Message`
  QueryNodeException.`message`
  Methods in org.apache.lucene.queryparser.flexible.core that return Message
  Modifier and Type
  Method
  Description
  `Message`
  QueryNodeError.`getMessageObject()`
  `Message`
  QueryNodeException.`getMessageObject()`
  Methods in org.apache.lucene.queryparser.flexible.core with parameters of type Message
  Modifier and Type
  Method
  Description
  `void`
  QueryNodeParseException.`setNonLocalizedMessage(Message message)`
  Constructors in org.apache.lucene.queryparser.flexible.core with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `QueryNodeError(Message message)`
  ``
  `QueryNodeError(Message message, Throwable throwable)`
  ``
  `QueryNodeException(Message message)`
  ``
  `QueryNodeException(Message message, Throwable throwable)`
  ``
  `QueryNodeParseException(Message message)`
  ``
  `QueryNodeParseException(Message message, Throwable throwable)`

- ## Uses of Message in org.apache.lucene.queryparser.flexible.messages

  Classes in org.apache.lucene.queryparser.flexible.messages that implement Message
  Modifier and Type
  Class
  Description
  `class`
  `MessageImpl`
  Default implementation of Message interface.
  Methods in org.apache.lucene.queryparser.flexible.messages that return Message
  Modifier and Type
  Method
  Description
  `Message`
  NLSException.`getMessageObject()`

- ## Uses of Message in org.apache.lucene.queryparser.flexible.standard.parser

  Constructors in org.apache.lucene.queryparser.flexible.standard.parser with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `ParseException(Message message)`
  Constructor with message.